【框架】基于CocosCreator3.8(及以上),让游戏开发更简单

不看好坏看什么?

大佬 你那个视频没声音 看不懂 能不能来个详细点的文档 或者有声音的视频

加群
WechatIMG99

所以这是设计哲学问题,在你眼里,无法达到你哲学的,你都不加,所以可以无缝链接,但在别人眼里不一定好。比如,walk方法,每个引擎版本实现都不一致,如果认为不加渲染自定义排序没问题或者你觉得这个破坏了你的无缝切换,所以不加,这没问题。但别人的框架,对这个又比较看重,就要加怎么办?要么if要么分版本呗。
除非是个极简架构或纯代码层架构,否则没办法不分版本。而这个作者,连创建文件夹都有要求,说明是一个限制较大的框架而且面向的是更偏向应用层的(即非API调用层面的),这种不分版本,要么框架搞得很臃肿,要么就是分版本。
看了你的框架,显然,你的设计是偏向通用性,所以是API调用型的框架(我个人发明的术语)

Bundle 还对它做操作了啊,这么复杂,,

在看。

  1. 没有License。
  2. 一上来task 就扔4个 类到脸上,看的懵懵 :sweat_smile:

框架的内部实现会复杂些,实际使用上会一定程度的弱化你对Bundle的感知